<?php

class WchoferController extends WadminController
{
	
	public function listadoAction(){
		
		$listado = new LSTChofer();
		$filtro = new FRMChoferBuscador();
		$listado->setFiltro($filtro);
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Ch&oacute;fer');
		$btnuevo = new VstBotonTitulo('/wchofer/editar', 'Nuevo Chofer', 'Nuevo');
		$ly->reg_titulo->addBoton($btnuevo);
		
		
		$cont = new VstContenedor('Filtrar');
		$cont->addElement($filtro);
		$ly->reg_contenido->addElement($cont);
		$ly->reg_contenido->addElement($listado);
		
	}
	
	public function editarAction()
    { 
    	$id = $this->getParametro('id');
    	$chofer = new Chofer($id);
    	
		$formulario = new FRMChofer($chofer);
    	
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Editar Chofer');
		$contenedor = new vstContenedor('Editar');
		$contenedor->addElement($formulario);
		$ly->reg_contenido->addElement($contenedor);
    }
           
}